Index: mibs/d-link/DES-1210-28ME_B2
===================================================================
--- mibs/d-link/DES-1210-28ME_B2	(revision 11288)
+++ mibs/d-link/DES-1210-28ME_B2	(working copy)
@@ -3740,10 +5852,431 @@
             "Host IP address of Group in Host table entry."
         ::= { igsHostEntry 4 }
 -- end IGMP_SNOOPING_HOST_BASED_FAST_LEAVE
+    -- ---------------------------------------------------------------------
+    -- MLD Snooping Function
+    -- ---------------------------------------------------------------------
+	mldsSystem       OBJECT IDENTIFIER ::= { companyMldsGroup 1 }
+	mldsVlan         OBJECT IDENTIFIER ::= { companyMldsGroup 3 }
+	mldsHost         OBJECT IDENTIFIER ::= { companyMldsGroup 4 }
+
+    mldsStatus OBJECT-TYPE 
+          SYNTAX      INTEGER  { enabled(1), disabled(2) } 
+          MAX-ACCESS  read-write 
+          STATUS      current 
+          DESCRIPTION 
+             "Enables or disables MLD snooping in the system.
+              When set to 'enabled', the MLDS module starts 
+              protocol operations.
+              When set to 'disabled', the MLDS module stops performing 
+              protocol operations."
+          DEFVAL  { 2 } 
+          ::= { mldsSystem 1 } 
+ 
+     mldsRouterPortPurgeInterval OBJECT-TYPE 
+          SYNTAX      Integer32 (60..600) 
+          MAX-ACCESS  read-write 
+          STATUS      current 
+          DESCRIPTION 
+             "This is the interval (in seconds) after which a learnt  
+              router port entry will be purged. For each router port learnt, 
+              this timer runs for 'RouterPortPurgeInterval' seconds.When the 
+              timer expires, the learnt router port entry is purged. However 
+              if control messages are received from the router before the 
+              timer expiry, then the timer is restarted."
+          DEFVAL  { 260 } 
+          ::= { mldsSystem 2 } 
+ 
+      mldsHostPortPurgeInterval OBJECT-TYPE 
+          SYNTAX      Integer32 (130..153025) 
+          MAX-ACCESS  read-write 
+          STATUS      current 
+          DESCRIPTION 
+             "This is the interval (in seconds) after which a learnt  
+              port entry will be purged. For each port on which report
+              has been received this timer runs for 'PortPurgeInterval'
+              seconds. This timer will be restarted whenever a report 
+              message is received from a host on the specific port. If 
+              the timer expires, then , the learnt port entry  will 
+              be purged from the multicast group." 
+          DEFVAL  {260} 
+          ::= { mldsSystem 3 } 
+    mldsDataDrivenLearningMaxLearnedEntryVlaue OBJECT-TYPE
+        SYNTAX      INTEGER (1..1024)
+		MAX-ACCESS  read-write
+		STATUS      current
+		DESCRIPTION 
+            "The maximum data driven learning entry value."
+        DEFVAL     { 64 }
+        ::= { mldsSystem 8 }
+
+    mldsReportToAllPort OBJECT-TYPE
+        SYNTAX      INTEGER  { enabled(1), disabled(2) }
+		MAX-ACCESS  read-write
+		STATUS      current
+		DESCRIPTION 
+           "Enables or disables MLDS snooping in the system.
+            When set to 'enabled', the MLDS module forwards packets 
+            to report to all port.
+            When set to 'disabled', the MLDS module forwards packets 
+            to router port only."
+        DEFVAL     { 2 }
+        ::= { mldsSystem 9 }
+
+-- VLAN based router table.
+ 
+      mldsVlanRouterTable OBJECT-TYPE 
+          SYNTAX      SEQUENCE OF MldsVlanRouterEntry 
+          MAX-ACCESS  not-accessible 
+          STATUS      current 
+          DESCRIPTION 
+             "This table contains the list of ports through which 
+              a router, in a particular VLAN is reachable." 
+          ::= { mldsVlan 3 } 
+ 
+      mldsVlanRouterEntry OBJECT-TYPE 
+          SYNTAX      MldsVlanRouterEntry 
+          MAX-ACCESS  not-accessible 
+          STATUS      current 
+          DESCRIPTION 
+             "Contains the VLAN ID and list of ports on which 
+              routers are present in the VLAN." 
+          INDEX { mldsVlanRouterVlanId } 
+          ::= { mldsVlanRouterTable 1 } 
+ 
+      MldsVlanRouterEntry ::= SEQUENCE { 
+          mldsVlanRouterVlanId             Integer32,
+          mldsVlanRouterPortList           PortList
+      }
+           
+      mldsVlanRouterVlanId OBJECT-TYPE 
+           SYNTAX      Integer32 (1..4094) 
+           MAX-ACCESS  read-only 
+           STATUS      current 
+           DESCRIPTION 
+              "VLAN ID of the ports through which router is reachable." 
+           ::= { mldsVlanRouterEntry 1 } 
+ 
+      mldsVlanRouterPortList OBJECT-TYPE 
+           SYNTAX      PortList 
+           MAX-ACCESS  read-only
+           STATUS      current 
+           DESCRIPTION 
+               "List of ports on which routers are present. 
+                These router ports are learnt through control messages 
+                received from routers, and can also be configured 
+                statically." 
+           ::= { mldsVlanRouterEntry 2 } 
+ 
+-- VLAN based filter table 
+ 
+      mldsVlanFilterTable OBJECT-TYPE 
+          SYNTAX      SEQUENCE OF MldsVlanFilterEntry 
+          MAX-ACCESS  not-accessible 
+          STATUS      current 
+          DESCRIPTION 
+             "This table contains configuration of snooping
+              on specific Vlans. This Table is valid only when VLAN is  
+              enabled in the system." 
+          ::= { mldsVlan 4 } 
+ 
+      mldsVlanFilterEntry OBJECT-TYPE 
+          SYNTAX      MldsVlanFilterEntry 
+          MAX-ACCESS  not-accessible 
+          STATUS      current 
+          DESCRIPTION 
+             "Contains snooping status , version and fast leave
+              configuration for a specific VLAN." 
+          INDEX { mldsVlanFilterVlanId } 
+          ::= { mldsVlanFilterTable 1 } 
+ 
+      MldsVlanFilterEntry ::= SEQUENCE { 
+          mldsVlanFilterVlanId           Integer32, 
+          mldsVlanSnoopStatus            INTEGER, 
+          mldsVlanQuerier                INTEGER, 
+          mldsVlanCfgQuerier             INTEGER, 
+          mldsVlanQueryInterval          Integer32, 
+          mldsVlanRtrPortList            PortList
+          , mldsVlanFbdRtrPortList         PortList
+          , mldsVlanFastLeave            INTEGER
+          , mldsVlanDataDrivenLearningStatus INTEGER
+          , mldsVlanReportSuppression INTEGER
+        ,   mldsVlanRobustnessValue  Integer32
+        ,   mldsVlanGrpQueryInterval  Integer32
+        ,   mldsVlanQueryMaxResponseTime  INTEGER
+          } 
+
+      mldsVlanFilterVlanId OBJECT-TYPE 
+           SYNTAX      Integer32 (1..4094) 
+           MAX-ACCESS  read-only 
+           STATUS      current 
+           DESCRIPTION 
+            "Index of MldsVlanFilterEntry. This object indicates the VLAN ID for which 
+            the snooping configurations in MldsVlanFilterEntry is to be done." 
+           ::= { mldsVlanFilterEntry 1 } 
+ 
+      mldsVlanSnoopStatus OBJECT-TYPE 
+           SYNTAX      INTEGER { enabled(1), disabled(2) } 
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+               "This object allows you to enable/disable MLDS function on a specific VLAN."  
+           DEFVAL  { 1 }
+           ::= { mldsVlanFilterEntry 2 } 
+
+      mldsVlanQuerier OBJECT-TYPE 
+          SYNTAX      INTEGER  { enabled(1), disabled(2) } 
+          MAX-ACCESS  read-only 
+          STATUS      current 
+          DESCRIPTION 
+             "Indicates whether the switch is configured as a querier in the VLAN"
+          DEFVAL  { 2 } 
+          ::= { mldsVlanFilterEntry 3 } 
+
+      mldsVlanCfgQuerier OBJECT-TYPE 
+          SYNTAX      INTEGER  { enabled(1), disabled(2) } 
+          MAX-ACCESS  read-write 
+          STATUS      current 
+          DESCRIPTION 
+             "The snooping switch can be configured as a querier via this object 
+              to send out MLD general queries when IGMP routers are not present in the VLAN. 
+              When set to 'enabled', the switch will generate general queries."
+          DEFVAL  { 2 } 
+          ::= { mldsVlanFilterEntry 4 } 
+      mldsVlanQueryInterval OBJECT-TYPE 
+          SYNTAX      Integer32 (60..600) 
+          MAX-ACCESS  read-write 
+          STATUS      current 
+          DESCRIPTION 
+             "This is the interval (in seconds) for which the switch 
+              sends general queries when it is configured as a querier for 
+              the VLAN. A switch should be configured as a querier for a VLAN 
+              only when there is no queriers in the network."   
+          DEFVAL  { 125 } 
+          ::= { mldsVlanFilterEntry 5 } 
+      mldsVlanRtrPortList OBJECT-TYPE 
+           SYNTAX      PortList 
+           MAX-ACCESS  read-write
+           STATUS      current 
+           DESCRIPTION 
+               "List of ports which are configured statically as router ports"
+           ::= { mldsVlanFilterEntry 6 } 
+
+      mldsVlanFbdRtrPortList OBJECT-TYPE 
+           SYNTAX      PortList 
+           MAX-ACCESS  read-write
+           STATUS      current 
+           DESCRIPTION 
+               "List of ports which can be configured statically as forbidden router ports."
+           ::= { mldsVlanFilterEntry 7 }            
+
+      mldsVlanFastLeave OBJECT-TYPE 
+           SYNTAX      INTEGER { enabled(1), disabled(2) } 
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+               "Enables or disables fast leave for the VLAN. When it is 
+                'disabled',on reception of a leave message, the switch checks
+                if they are any interested receivers for the group by sending 
+                a group specific query before removing the port from the 
+                forwarding table. If set to 'enabled', the switch does not 
+                send a group specific query and immediately removes the port
+                from the forwarding table."
+           DEFVAL  { 2 }
+           ::= { mldsVlanFilterEntry 8 }
+
+        mldsVlanDataDrivenLearningStatus OBJECT-TYPE 
+            SYNTAX      INTEGER { enabled(1), disabled(2) } 
+            MAX-ACCESS  read-write 
+            STATUS      current 
+            DESCRIPTION
+                "This object allows you to enable/disable
+                Data Driven Learning function on a specific VLAN."
+            ::= { mldsVlanFilterEntry 9 }
+
+        mldsVlanReportSuppression OBJECT-TYPE 
+            SYNTAX      INTEGER  { enabled(1), disabled(2) } 
+            MAX-ACCESS  read-write 
+            STATUS      current 
+            DESCRIPTION 
+               "Enables or disables Report suppression in the system."
+            ::= { mldsVlanFilterEntry 10 } 
+      mldsVlanRobustnessValue OBJECT-TYPE
+          SYNTAX      Integer32 (2..255)
+          MAX-ACCESS  read-write
+          STATUS      current
+          DESCRIPTION 
+	     "When the switch receives leave message on a port, it
+              sends group specific query to check if there are any other 
+              interested receivers for the group. This attribute defines 
+              the maximum number of queries sent by the switch before deleting 
+              the port from the group membership information in the forwarding 
+              database. If the maximum retry count exceeds 'mldsRobustnessValue', 
+              then the port will be deleted from the multicast group membership
+              information in the forwarding database and received leave message
+              will be forwarded onto the router ports if there are no 
+              interested receivers for the group." 
+          DEFVAL  { 2 } 
+            ::= { mldsVlanFilterEntry 11 } 
+
+      mldsVlanGrpQueryInterval OBJECT-TYPE 
+          SYNTAX      Integer32 (1..25) 
+          MAX-ACCESS  read-write 
+          STATUS      current 
+          DESCRIPTION 
+             "The value of this attribute defines the time period with which 
+              the switch will send group specific queries on a port to check 
+              if there is any intersted receivers. The switch will send 
+              'mldsRobustnessValue' queries before removing the port from the 
+              group membership information in the forwarding database."
+          DEFVAL  { 1 }
+            ::= { mldsVlanFilterEntry 12 } 
+
+    mldsVlanQueryMaxResponseTime OBJECT-TYPE
+        SYNTAX      INTEGER (10..25)
+		MAX-ACCESS  read-write
+		STATUS      current
+		DESCRIPTION 
+        	"The maximum query response time advertised in MLDv1 general
+        	queries on this interface."
+        DEFVAL     { 10 }
+            ::= { mldsVlanFilterEntry 13 } 
+    -- VLAN Based MLD Snooping Group 
+ 
+      mldsVlanMulticastGroupTable OBJECT-TYPE 
+          SYNTAX      SEQUENCE OF MldsVlanMulticastGroupEntry 
+          MAX-ACCESS  not-accessible 
+          STATUS      current 
+          DESCRIPTION 
+            "This table contains MAC based multicast forwarding 
+             information." 
+          ::= { mldsVlan 5 } 
+ 
+      mldsVlanMulticastGroupEntry OBJECT-TYPE 
+          SYNTAX      MldsVlanMulticastGroupEntry 
+          MAX-ACCESS  not-accessible 
+          STATUS      current 
+          DESCRIPTION 
+            "This table contains VLAN ID, multicast group MAC address and the  
+             list of ports onto which the multicast data packets for group
+             should be forwarded."  
+
+          INDEX { mldsVlanMulticastGroupVlanId,
+                  mldsVlanMulticastGroupIpAddress } 
+          ::= { mldsVlanMulticastGroupTable 1 } 
+ 
+      MldsVlanMulticastGroupEntry ::= SEQUENCE { 
+          mldsVlanMulticastGroupVlanId           Integer32,
+          mldsVlanMulticastGroupIpAddress        InetAddress, 
+          mldsVlanMulticastGroupMacAddress       MacAddress,
+          mldsVlanMulticastGroupPortList         PortList
+        } 
+
+      mldsVlanMulticastGroupVlanId OBJECT-TYPE 
+           SYNTAX      Integer32 (1..4094) 
+           MAX-ACCESS  read-only 
+           STATUS      current 
+           DESCRIPTION 
+              "VLAN ID pertaining to the Multicast forwarding entry"  
+           ::= { mldsVlanMulticastGroupEntry 1 } 
+ 
+      mldsVlanMulticastGroupIpAddress OBJECT-TYPE 
+           SYNTAX      InetAddress
+           MAX-ACCESS  read-only 
+           STATUS      current 
+           DESCRIPTION 
+               "Multicast group IP address. This object indicates that a
+                multicast group address was learned in the switch and be represented 
+                as IP address format." 
+           ::= { mldsVlanMulticastGroupEntry 2 } 
+ 
+ 
+      mldsVlanMulticastGroupMacAddress OBJECT-TYPE 
+           SYNTAX      MacAddress 
+           MAX-ACCESS  read-only 
+           STATUS      current 
+           DESCRIPTION 
+               "Multicast group MAC address. This object indicates that a
+                multicast group address was learned in the switch and be represented 
+                as MAC address format." 
+           ::= { mldsVlanMulticastGroupEntry 3 } 
+
+      mldsVlanMulticastGroupPortList OBJECT-TYPE 
+           SYNTAX      PortList 
+           MAX-ACCESS  read-only 
+           STATUS      current 
+           DESCRIPTION 
+               "List of ports onto which the multicast data
+                packets destined for this group will be forwarded."  
+           ::= { mldsVlanMulticastGroupEntry 4 } 
+
+-- Host Table
+
+    mldsHostTable OBJECT-TYPE
+        SYNTAX      SEQUENCE OF MldsHostEntry
+        MAX-ACCESS  not-accessible
+        STATUS      current
+        DESCRIPTION
+            "This table is used to manage
+            the IGMP Host based Fast Leave function of the switch."
+        ::= { mldsHost 1 }
+ 
+    mldsHostEntry OBJECT-TYPE
+        SYNTAX      MldsHostEntry
+        MAX-ACCESS  not-accessible
+        STATUS      current
+        DESCRIPTION
+            "Contains management entities for
+            IGMP Host based fast leave function."
+        INDEX {mldsHostTableVLANID,
+               mldsHostTableGroupAddress,
+               mldsHostTablePort,
+               mldsHostTableHostIPAddress}
+        ::= { mldsHostTable 1 }
+ 
+    MldsHostEntry ::= SEQUENCE {
+        mldsHostTableVLANID          Integer32,
+        mldsHostTableGroupAddress    Ipv6Address,
+        mldsHostTablePort            Integer32,
+        mldsHostTableHostIPAddress   Ipv6Address
+    }
+
+    mldsHostTableVLANID OBJECT-TYPE
+        SYNTAX      Integer32 (1..4094)
+        MAX-ACCESS  read-only
+        STATUS      current
+        DESCRIPTION
+            "VLAN ID of IPv6 Host table entry."
+        ::= { mldsHostEntry 1 }
+ 
+    mldsHostTableGroupAddress OBJECT-TYPE
+        SYNTAX      Ipv6Address
+        MAX-ACCESS  read-only
+        STATUS      current
+        DESCRIPTION
+            "Group address of IPv6 Host table entry."
+        ::= { mldsHostEntry 2 } 
+ 
+    mldsHostTablePort OBJECT-TYPE 
+        SYNTAX      Integer32 (1..28)
+        MAX-ACCESS  read-only 
+        STATUS      current 
+        DESCRIPTION 
+            "Port number of IPv6 Host table entry.
+            For all machines give maximum port number."
+        ::= { mldsHostEntry 3 }
+
+    mldsHostTableHostIPAddress OBJECT-TYPE 
+        SYNTAX      Ipv6Address 
+        MAX-ACCESS  read-only 
+        STATUS      current 
+        DESCRIPTION 
+            "Host IP address of Group in IPv6 Host table entry."
+        ::= { mldsHostEntry 4 }
+
 -- -------------------------------------------------------------
 -- groups in the Auth MIB
 -- -------------------------------------------------------------
-	swAuthenCtrl  OBJECT IDENTIFIER ::= { companyAuthGroup 1 }
+    swAuthenCtrl  OBJECT IDENTIFIER ::= { companyAuthGroup 1 }
 -- -----------------------------------------------------------------------------
 -- swAuthenCtrl
 -- -----------------------------------------------------------------------------
@@ -3753,7 +6286,7 @@
                    enabled(1),
                    disabled(2)
         }
-        MAX-ACCESS 			read-write
+        MAX-ACCESS          read-write
         STATUS              current
         DESCRIPTION
         "Enable/Disable Static 802.1x."
@@ -3799,13 +6332,13 @@
 -- -------------------------------------------------------------
 -- groups in the Port Access Control MIB
 -- -------------------------------------------------------------
-	swAuthPortAccessCtrl  OBJECT IDENTIFIER ::= { companyAuthGroup 2 }
+    swAuthPortAccessCtrl  OBJECT IDENTIFIER ::= { companyAuthGroup 2 }
 -- -----------------------------------------------------------------------------
 -- swAuthPortAccessCtrl
 -- -----------------------------------------------------------------------------
     swAuthPortAccessControlTable OBJECT-TYPE
         SYNTAX SEQUENCE OF SwAuthPortAccessControlEntry
-        MAX-ACCESS 			not-accessible
+        MAX-ACCESS          not-accessible
         STATUS              current
         DESCRIPTION
         "A table that contains the configuration objects for the
@@ -3816,7 +6349,7 @@
 
     swAuthPortAccessControlEntry OBJECT-TYPE
         SYNTAX              SwAuthPortAccessControlEntry
-        MAX-ACCESS 			not-accessible
+        MAX-ACCESS          not-accessible
         STATUS              current
         DESCRIPTION
         "The configuration information for an Authenticator Port."
@@ -3838,17 +6371,18 @@
     }
 
     swAuthAuthConfigPortNumber   OBJECT-TYPE
-        SYNTAX              INTEGER
-        MAX-ACCESS 			read-only
+        SYNTAX              INTEGER (1..28)
+        MAX-ACCESS          read-only
         STATUS              current
         DESCRIPTION
         "A unique value for each port that correlates to port index.
-         Its value ranges between 1 and the value of port number."
+         Its value ranges between 1 and the value of port number.
+         For all machines give maximum port number."
         ::= { swAuthPortAccessControlEntry 1 }
 
     swAuthAuthQuietPeriod        OBJECT-TYPE
         SYNTAX        INTEGER (0..65535)
-        MAX-ACCESS 	  read-write
+        MAX-ACCESS    read-write
         STATUS        current
         DESCRIPTION
            "The value, in seconds, of the quietPeriod constant
@@ -3861,7 +6395,7 @@
 
     swAuthAuthSuppTimeout        OBJECT-TYPE
         SYNTAX        INTEGER (1..65535)
-        MAX-ACCESS 	  read-write
+        MAX-ACCESS    read-write
         STATUS        current
         DESCRIPTION
            "The value, in seconds, of the suppTimeout constant
@@ -3874,7 +6408,7 @@
 
     swAuthAuthServerTimeout      OBJECT-TYPE
         SYNTAX        INTEGER (1..65535)
-        MAX-ACCESS 	  read-write
+        MAX-ACCESS    read-write
         STATUS        current
         DESCRIPTION
            "The value, in seconds, of the serverTimeout constant
@@ -3887,7 +6421,7 @@
 
     swAuthAuthMaxReq             OBJECT-TYPE
         SYNTAX        INTEGER (1..10)
-        MAX-ACCESS 	  read-write
+        MAX-ACCESS    read-write
         STATUS        current
         DESCRIPTION
            "The value of the maxReq constant currently in use by
@@ -3899,7 +6433,7 @@
 
     swAuthAuthTxPeriod           OBJECT-TYPE
         SYNTAX        INTEGER (1..65535)
-        MAX-ACCESS 	  read-write
+        MAX-ACCESS    read-write
         STATUS        current
         DESCRIPTION
            "The value, in seconds, of the txPeriod constant
@@ -3912,7 +6446,7 @@
 
     swAuthAuthReAuthPeriod       OBJECT-TYPE
         SYNTAX        INTEGER (1..65535)
-        MAX-ACCESS 	  read-write
+        MAX-ACCESS    read-write
         STATUS        current
         DESCRIPTION
            "The value, in seconds, of the reAuthPeriod constant
@@ -3925,7 +6459,7 @@
 
     swAuthAuthReAuthentication   OBJECT-TYPE
         SYNTAX        INTEGER { enabled(1), disabled(2) }
-        MAX-ACCESS 	  read-write
+        MAX-ACCESS    read-write
         STATUS        current
         DESCRIPTION
            "The enable/disable control used by the Reauthentication
@@ -3940,7 +6474,7 @@
                        auto(2),
                        forceAuthorized(3)
                    }
-        MAX-ACCESS 			read-write
+        MAX-ACCESS          read-write
         STATUS              current
         DESCRIPTION
            "The current value of the controlled Port
@@ -3954,7 +6488,7 @@
                        authenticator(1),
                        none(2)
                    }
-        MAX-ACCESS 			read-write
+        MAX-ACCESS          read-write
         STATUS              current
         DESCRIPTION
            "The current value of the controlled Port
@@ -3968,7 +6502,7 @@
                        both(0),
                        in(1)
                    }
-        MAX-ACCESS 			read-write
+        MAX-ACCESS          read-write
         STATUS              current
         DESCRIPTION
            "The current value of the controlled Port
@@ -3980,13 +6514,13 @@
 -- -------------------------------------------------------------
 -- groups in the 802.1X Local user MIB
 -- -------------------------------------------------------------
-	swAuthUser  OBJECT IDENTIFIER ::= { companyAuthGroup 3 }
+    swAuthUser  OBJECT IDENTIFIER ::= { companyAuthGroup 3 }
 -- -----------------------------------------------------------------------------
 -- swAuthUser
 -- -----------------------------------------------------------------------------
     swAuthUserTable OBJECT-TYPE
         SYNTAX SEQUENCE OF SwAuthUserEntry
-        MAX-ACCESS 			not-accessible
+        MAX-ACCESS          not-accessible
         STATUS              current
         DESCRIPTION
         "A table that contains the configuration objects for the
@@ -3997,7 +6531,7 @@
 
     swAuthUserEntry OBJECT-TYPE
         SYNTAX              SwAuthUserEntry
-        MAX-ACCESS 			not-accessible
+        MAX-ACCESS          not-accessible
         STATUS              current
         DESCRIPTION
         "The configuration information for an Authenticator Port."
@@ -4049,13 +6583,127 @@
 -- -------------------------------------------------------------
 -- groups in the Authentication RADIUS Server MIB
 -- -------------------------------------------------------------
-	swAuthRadiusServer  OBJECT IDENTIFIER ::= { companyAuthGroup 4 }
+    swAuthRadiusServer  OBJECT IDENTIFIER ::= { companyAuthGroup 4 }
 -- -----------------------------------------------------------------------------
 -- swAuthRadiusServer
 -- -----------------------------------------------------------------------------
+    iPv4swAuthRadiusServerTable OBJECT-TYPE
+        SYNTAX SEQUENCE OF IPv4SwAuthRadiusServerEntry
+        MAX-ACCESS          not-accessible
+        STATUS              obsolete
+        DESCRIPTION
+        "A table that contains the configuration objects for the
+         Authenticator PAE associated with each port.
+         An entry appears in this table for each port that may
+         authenticate access to itself."
+        ::= { swAuthRadiusServer 1 }
+
+    iPv4swAuthRadiusServerEntry                 OBJECT-TYPE
+        SYNTAX                              IPv4SwAuthRadiusServerEntry
+        MAX-ACCESS                          not-accessible
+        STATUS                              obsolete
+
+        DESCRIPTION
+        "The configuration information for an Authenticator Port."
+        INDEX { iPv4swAuthRadiusServerIndex }
+        ::= { iPv4swAuthRadiusServerTable 1 }
+
+    IPv4SwAuthRadiusServerEntry ::= SEQUENCE {
+        iPv4swAuthRadiusServerIndex                 INTEGER,
+        iPv4swAuthRadiusServerAddress               IpAddress,
+        iPv4swAuthRadiusServerAuthenticationPort    INTEGER,
+        iPv4swAuthRadiusServerAccountingPort        INTEGER,
+        iPv4swAuthRadiusServerTimeout               INTEGER,
+        iPv4swAuthRadiusServerRetransmit            INTEGER,
+        iPv4swAuthRadiusServerKey                   DisplayString,
+        iPv4swAuthRadiusServerStatus                RowStatus
+    }
+
+    iPv4swAuthRadiusServerIndex                 OBJECT-TYPE
+        SYNTAX                              INTEGER (1..3)
+        MAX-ACCESS                          read-only
+        STATUS                              obsolete
+
+        DESCRIPTION
+        "A unique value for Authentication RADIUS Server index.
+         Its value ranges between 1 and 3."
+        ::= { iPv4swAuthRadiusServerEntry 1 }
+
+    iPv4swAuthRadiusServerAddress               OBJECT-TYPE
+        SYNTAX                              IpAddress
+        MAX-ACCESS                          read-write
+        STATUS                              obsolete
+        DESCRIPTION
+            "The IP address of the RADIUS server
+                     referred to in this table entry."
+        ::=  { iPv4swAuthRadiusServerEntry 2 }
+
+    iPv4swAuthRadiusServerAuthenticationPort    OBJECT-TYPE
+        SYNTAX                              INTEGER (1..65535)
+        MAX-ACCESS                          read-write
+        STATUS                              obsolete
+        DESCRIPTION
+            "The value is for setting UDP Port."
+        DEFVAL { 1812 }
+       ::= { iPv4swAuthRadiusServerEntry 3 }
+
+    iPv4swAuthRadiusServerAccountingPort        OBJECT-TYPE
+        SYNTAX                              INTEGER (1..65535)
+        MAX-ACCESS                          read-write
+        STATUS                              obsolete
+        DESCRIPTION
+            "The value is for setting UDP Port."
+        DEFVAL { 1813 }
+       ::= { iPv4swAuthRadiusServerEntry 4 }
+
+    iPv4swAuthRadiusServerTimeout               OBJECT-TYPE
+        SYNTAX                              INTEGER (1..255)
+        MAX-ACCESS                          read-write
+        STATUS                              obsolete
+        DESCRIPTION
+            "The value is for setting UDP Port."
+        DEFVAL { 5 }
+       ::= { iPv4swAuthRadiusServerEntry 5 }
+
+    iPv4swAuthRadiusServerRetransmit            OBJECT-TYPE
+        SYNTAX                              INTEGER (1..255)
+        MAX-ACCESS                          read-write
+        STATUS                              obsolete
+        DESCRIPTION
+            "The value is for setting UDP Port."
+        DEFVAL { 2 }
+       ::= { iPv4swAuthRadiusServerEntry 6 }
+
+    iPv4swAuthRadiusServerKey                   OBJECT-TYPE
+       SYNTAX                               DisplayString (SIZE(1..15))
+       MAX-ACCESS                           read-write
+       STATUS                               obsolete
+       DESCRIPTION
+          "This object is used to set 802.1X Radius Server Key,
+          The following characters are allowed to input:
+          semicolon, question mark, space, and double quotation mark."
+       ::= { iPv4swAuthRadiusServerEntry 7 }
+
+    iPv4swAuthRadiusServerStatus OBJECT-TYPE
+        SYNTAX       RowStatus
+        MAX-ACCESS   read-create
+        STATUS       obsolete
+        DESCRIPTION
+            "The status of this conceptual row in the
+            swAuthRadiusServerTable.
+
+            An entry in this table is not qualified for activation
+            until instances of all corresponding columns have been
+            initialized, either through default values, or through
+            Set operations.  The swAuthRadiusServerIndex objects
+            must be explicitly set."
+        ::= { iPv4swAuthRadiusServerEntry 8 }
+-- -----------------------------------------------------------------------------
+-- swAuthRadiusServer for IPv6
+-- -----------------------------------------------------------------------------
     swAuthRadiusServerTable OBJECT-TYPE
         SYNTAX SEQUENCE OF SwAuthRadiusServerEntry
-        MAX-ACCESS 			not-accessible
+        MAX-ACCESS          not-accessible
         STATUS              current
         DESCRIPTION
         "A table that contains the configuration objects for the
@@ -4062,11 +6710,11 @@
          Authenticator PAE associated with each port.
          An entry appears in this table for each port that may
          authenticate access to itself."
-        ::= { swAuthRadiusServer 1 }
+        ::= { swAuthRadiusServer 2 }
 
     swAuthRadiusServerEntry                 OBJECT-TYPE
         SYNTAX                              SwAuthRadiusServerEntry
-        MAX-ACCESS 			                not-accessible
+        MAX-ACCESS                          not-accessible
         STATUS                              current
         DESCRIPTION
         "The configuration information for an Authenticator Port."
@@ -4075,7 +6723,9 @@
 
     SwAuthRadiusServerEntry ::= SEQUENCE {
         swAuthRadiusServerIndex                 INTEGER,
-        swAuthRadiusServerAddress               IpAddress,
+        swAuthRadiusIPType                      INTEGER,
+        swAuthRadiusServerAddress               Ipv6Address,
+        swAuthRadiusServerInterfaceName         OCTET STRING,
         swAuthRadiusServerAuthenticationPort    INTEGER,
         swAuthRadiusServerAccountingPort        INTEGER,
         swAuthRadiusServerTimeout               INTEGER,
@@ -4086,7 +6736,7 @@
 
     swAuthRadiusServerIndex                 OBJECT-TYPE
         SYNTAX                              INTEGER (1..3)
-        MAX-ACCESS 			                read-only
+        MAX-ACCESS                          read-only
         STATUS                              current
         DESCRIPTION
         "A unique value for Authentication RADIUS Server index.
